## GDataGDPhoneNumber

GDataGDPhoneNumber — GData phone number element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDPhoneNumber * | gdata_gd_phone_number_new ()
const gchar * | gdata_gd_phone_number_get_number ()
void | gdata_gd_phone_number_set_number ()
const gchar * | gdata_gd_phone_number_get_uri ()
void | gdata_gd_phone_number_set_uri ()
const gchar * | gdata_gd_phone_number_get_relation_type ()
void | gdata_gd_phone_number_set_relation_type ()
const gchar * | gdata_gd_phone_number_get_label ()
void | gdata_gd_phone_number_set_label ()
gboolean | gdata_gd_phone_number_is_primary ()
void | gdata_gd_phone_number_set_is_primary ()

## Properties

gboolean | is-primary | Read / Write
gchar * | label | Read / Write
gchar * | number | Read / Write
gchar * | relation-type | Read / Write
gchar * | uri | Read / Write

## Types and Values

#define | GDATA_GD_PHONE_NUMBER_ASSISTANT
#define | GDATA_GD_PHONE_NUMBER_CALLBACK
#define | GDATA_GD_PHONE_NUMBER_CAR
#define | GDATA_GD_PHONE_NUMBER_COMPANY_MAIN
#define | GDATA_GD_PHONE_NUMBER_FAX
#define | GDATA_GD_PHONE_NUMBER_HOME
#define | GDATA_GD_PHONE_NUMBER_HOME_FAX
#define | GDATA_GD_PHONE_NUMBER_ISDN
#define | GDATA_GD_PHONE_NUMBER_MAIN
#define | GDATA_GD_PHONE_NUMBER_MOBILE
#define | GDATA_GD_PHONE_NUMBER_OTHER
#define | GDATA_GD_PHONE_NUMBER_OTHER_FAX
#define | GDATA_GD_PHONE_NUMBER_PAGER
#define | GDATA_GD_PHONE_NUMBER_RADIO
#define | GDATA_GD_PHONE_NUMBER_TELEX
#define | GDATA_GD_PHONE_NUMBER_TTY_TDD
#define | GDATA_GD_PHONE_NUMBER_WORK
#define | GDATA_GD_PHONE_NUMBER_WORK_FAX
#define | GDATA_GD_PHONE_NUMBER_WORK_MOBILE
#define | GDATA_GD_PHONE_NUMBER_WORK_PAGER
| GDataGDPhoneNumber
| GDataGDPhoneNumberClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDPhoneNumber

## Implemented Interfaces

GDataGDPhoneNumber implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-phone-number.h>

## Description

GDataGDPhoneNumber represents a "phoneNumber" element from the

GData specification.

## Functions

### gdata_gd_phone_number_new ()

    GDataGDPhoneNumber *
    gdata_gd_phone_number_new (const gchar *number,
                               const gchar *relation_type,
                               const gchar *label,
                               const gchar *uri,
                               gboolean is_primary);

Creates a new GDataGDPhoneNumber. More information is available in the GData specification.

#### Parameters

number | the phone number, in human-readable format |
relation_type | the relationship between the phone number and its owner, or `NULL`. | [allow-none]
label | a human-readable label for the phone number, or `NULL`. | [allow-none]
uri | a "tel URI" to represent the number formally (see RFC 3966), or `NULL`. | [allow-none]
is_primary | `TRUE` if this phone number is its owner's primary number, `FALSE` otherwise |

#### Returns

a new GDataGDPhoneNumber, or `NULL`; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_phone_number_get_number ()

    const gchar *
    gdata_gd_phone_number_get_number (GDataGDPhoneNumber *self);

Gets the “number” property.

#### Parameters

self | a GDataGDPhoneNumber |

#### Returns

the phone number itself

Since: 0.4.0

### gdata_gd_phone_number_set_number ()

    void
    gdata_gd_phone_number_set_number (GDataGDPhoneNumber *self,
                                      const gchar *number);

Sets the “number” property to `number` .

#### Parameters

self | a GDataGDPhoneNumber |
number | the new phone number |

Since: 0.4.0

### gdata_gd_phone_number_get_uri ()

    const gchar *
    gdata_gd_phone_number_get_uri (GDataGDPhoneNumber *self);

Gets the “uri” property.

#### Parameters

self | a GDataGDPhoneNumber |

#### Returns

the phone number's URI, or `NULL`

Since: 0.4.0

### gdata_gd_phone_number_set_uri ()

    void
    gdata_gd_phone_number_set_uri (GDataGDPhoneNumber *self,
                                   const gchar *uri);

Sets the “uri” property to `uri` .

Set `uri` to `NULL` to unset the property in the phone number.

#### Parameters

self | a GDataGDPhoneNumber |
uri | the new URI for the phone number, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_phone_number_get_relation_type ()

    const gchar *
    gdata_gd_phone_number_get_relation_type
                                   (GDataGDPhoneNumber *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGDPhoneNumber |

#### Returns

the phone number's relation type, or `NULL`

Since: 0.4.0

### gdata_gd_phone_number_set_relation_type ()

    void
    gdata_gd_phone_number_set_relation_type
                                   (GDataGDPhoneNumber *self,
                                    const gchar *relation_type);

Sets the “relation-type” property to `relation_type` .

Set `relation_type` to `NULL` to unset the property in the phone number.

#### Parameters

self | a GDataGDPhoneNumber |
relation_type | the new relation type for the phone number, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_phone_number_get_label ()

    const gchar *
    gdata_gd_phone_number_get_label (GDataGDPhoneNumber *self);

Gets the “label” property.

#### Parameters

self | a GDataGDPhoneNumber |

#### Returns

the phone number's label, or `NULL`

Since: 0.4.0

### gdata_gd_phone_number_set_label ()

    void
    gdata_gd_phone_number_set_label (GDataGDPhoneNumber *self,
                                     const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property in the phone number.

#### Parameters

self | a GDataGDPhoneNumber |
label | the new label for the phone number, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_phone_number_is_primary ()

    gboolean
    gdata_gd_phone_number_is_primary (GDataGDPhoneNumber *self);

Gets the “is-primary” property.

#### Parameters

self | a GDataGDPhoneNumber |

#### Returns

`TRUE` if this is the primary phone number, `FALSE` otherwise

Since: 0.4.0

### gdata_gd_phone_number_set_is_primary ()

    void
    gdata_gd_phone_number_set_is_primary (GDataGDPhoneNumber *self,
                                          gboolean is_primary);

Sets the “is-primary” property to `is_primary` .

#### Parameters

self | a GDataGDPhoneNumber |
is_primary | `TRUE` if this is the primary phone number, `FALSE` otherwise |

Since: 0.4.0

## Types and Values

### GDATA_GD_PHONE_NUMBER_ASSISTANT

    #define GDATA_GD_PHONE_NUMBER_ASSISTANT "http://schemas.google.com/g/2005#assistant"

The relation type URI for the phone number of an assistant.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_CALLBACK

    #define GDATA_GD_PHONE_NUMBER_CALLBACK "http://schemas.google.com/g/2005#callback"

The relation type URI for the phone number of a callback service.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_CAR

    #define GDATA_GD_PHONE_NUMBER_CAR "http://schemas.google.com/g/2005#car"

The relation type URI for the phone number of a car phone.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_COMPANY_MAIN

    #define GDATA_GD_PHONE_NUMBER_COMPANY_MAIN "http://schemas.google.com/g/2005#company_main"

The relation type URI for the main phone number of a company.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_FAX

    #define GDATA_GD_PHONE_NUMBER_FAX "http://schemas.google.com/g/2005#fax"

The relation type URI for the phone number of a fax machine.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_HOME

    #define GDATA_GD_PHONE_NUMBER_HOME "http://schemas.google.com/g/2005#home"

The relation type URI for a home phone number.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_HOME_FAX

    #define GDATA_GD_PHONE_NUMBER_HOME_FAX "http://schemas.google.com/g/2005#home_fax"

The relation type URI for the phone number of a home fax machine.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_ISDN

    #define GDATA_GD_PHONE_NUMBER_ISDN "http://schemas.google.com/g/2005#isdn"

The relation type URI for the phone number of an ISDN phone.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_MAIN

    #define GDATA_GD_PHONE_NUMBER_MAIN "http://schemas.google.com/g/2005#main"

The relation type URI for the main phone number of a person.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_MOBILE

    #define GDATA_GD_PHONE_NUMBER_MOBILE "http://schemas.google.com/g/2005#mobile"

The relation type URI for the phone number of a mobile phone.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_OTHER

    #define GDATA_GD_PHONE_NUMBER_OTHER "http://schemas.google.com/g/2005#other"

The relation type URI for a miscellaneous phone number.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_OTHER_FAX

    #define GDATA_GD_PHONE_NUMBER_OTHER_FAX "http://schemas.google.com/g/2005#other_fax"

The relation type URI for a miscellaneous fax machine's phone number.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_PAGER

    #define GDATA_GD_PHONE_NUMBER_PAGER "http://schemas.google.com/g/2005#pager"

The relation type URI for the phone number of a pager.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_RADIO

    #define GDATA_GD_PHONE_NUMBER_RADIO "http://schemas.google.com/g/2005#radio"

The relation type URI for the phone number of a radio phone.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_TELEX

    #define GDATA_GD_PHONE_NUMBER_TELEX "http://schemas.google.com/g/2005#telex"

The relation type URI for the phone number of a telex machine.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_TTY_TDD

    #define GDATA_GD_PHONE_NUMBER_TTY_TDD "http://schemas.google.com/g/2005#tty_tdd"

The relation type URI for the phone number of a TTY TTD.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_WORK

    #define GDATA_GD_PHONE_NUMBER_WORK "http://schemas.google.com/g/2005#work"

The relation type URI for the phone number of a work place.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_WORK_FAX

    #define GDATA_GD_PHONE_NUMBER_WORK_FAX "http://schemas.google.com/g/2005#work_fax"

The relation type URI for the phone number of a work fax machine.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_WORK_MOBILE

    #define GDATA_GD_PHONE_NUMBER_WORK_MOBILE "http://schemas.google.com/g/2005#work_mobile"

The relation type URI for the phone number of a work mobile phone.

Since: 0.7.0

### GDATA_GD_PHONE_NUMBER_WORK_PAGER

    #define GDATA_GD_PHONE_NUMBER_WORK_PAGER "http://schemas.google.com/g/2005#work_pager"

The relation type URI for the phone number of a work pager.

Since: 0.7.0

### GDataGDPhoneNumber

    typedef struct _GDataGDPhoneNumber GDataGDPhoneNumber;

All the fields in the GDataGDPhoneNumber structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDPhoneNumberClass

    typedef struct {
    } GDataGDPhoneNumberClass;

All the fields in the GDataGDPhoneNumberClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“is-primary”` property

      “is-primary”               gboolean

Indicates which phone number out of a group is primary.

For more information, see the

GData specification.

Flags: Read / Write

Default value: FALSE

Since: 0.4.0

### The `“label”` property

      “label”                    gchar *

A simple string value used to name this phone number. It allows UIs to display a label such as "Mobile", "Home", "Work", etc.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“number”` property

      “number”                   gchar *

Human-readable phone number; may be in any telephone number format.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relation-type”` property

      “relation-type”            gchar *

A programmatic value that identifies the type of phone number. For example: `GDATA_GD_PHONE_NUMBER_WORK` or `GDATA_GD_PHONE_NUMBER_PAGER`.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“uri”` property

      “uri”                      gchar *

An optional "tel URI" used to represent the number in a formal way. Useful for programmatic access, such as a VoIP/PSTN bridge.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0